Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.ui
Class ReleaseButton

    java.lang.Object
      |
      +--quicktime.app.anim.TwoDSprite
            |
            +--quicktime.app.ui.UIElement
                  |
                  +--quicktime.app.ui.QTButton
                        |
                        +--quicktime.app.ui.ReleaseButton

All Implemented Interfaces:
  Compositable, DynamicImage, ImageSettable, ImageSpec, Layerable, NotifyListener, Transformable

public class ReleaseButton
extends QTButton

This class represents a normal button which fires the action event when the button is released.

Fields inherited from class quicktime.app.ui.QTButton
`actionListener, pressedImage, releasedImage, rolloverImage`

Fields inherited from class quicktime.app.ui.UIElement
`currentImage, deactiveImage`

Fields inherited from class quicktime.app.anim.TwoDSprite
`label`

Fields inherited from interface quicktime.app.display.Layerable
`kBackMostLayer`

Constructor Summary
`ReleaseButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage)` sets the current image of the QTButton and creates a TwoDSprite button
`ReleaseButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage, ImageSpec rolloverImage)` sets the current image of the QTButton and creates a TwoDSprite button

Method Summary
`void` | `released()` This method is invoked by the button responder when the mouse is released

Methods inherited from class quicktime.app.ui.QTButton
`addActionListener, addMouseTargetListener, entered, exited, fireAction, getDeactiveImage, getPressedImage, getReleasedImage, getRolloverImage, isMouseInButton, isPressed, pressed, removeActionListener, removeMouseTargetListener, setDeactiveImage, setPressedImage, setReleasedImage, setRolloverImage`

Methods inherited from class quicktime.app.ui.UIElement
`addedToCompositor, getBounds, isActive, removedFromCompositor, setActive, setCurrentImage, setLocation, setSize`

Methods inherited from class quicktime.app.anim.TwoDSprite
`createSprite, equals, getDescription, getGraphicsMode, getImage, getInitialSize, getLabel, getLayer, getMatrix, getOriginalSize, getParent, getSpriteInfo, getVisible, hitTest, invalidate, isValid, notifyComplete, remove, removeNotify, setDescription, setGraphicsMode, setImage, setImageData, setLabel, setLayer, setMatrix, setNotifier, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface quicktime.app.image.Compositable
`getGraphicsMode, setGraphicsMode`

Methods inherited from interface quicktime.app.image.ImageSpec
`getDescription, getImage`

Constructor Detail

### ReleaseButton

    public ReleaseButton(ImageSpec releasedImage,
                         ImageSpec pressedImage,
                         ImageSpec deactiveImage)
                  throws QTException

  sets the current image of the QTButton and creates a TwoDSprite button
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive

### ReleaseButton

    public ReleaseButton(ImageSpec releasedImage,
                         ImageSpec pressedImage,
                         ImageSpec deactiveImage,
                         ImageSpec rolloverImage)
                  throws QTException

  sets the current image of the QTButton and creates a TwoDSprite button
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive
    `rolloverImage` - the image to be displayed when the button is released and in the mouse.

Method Detail

### released

    public void released()
                  throws QTException

  This method is invoked by the button responder when the mouse is released
  Overrides:
    `released` in class `QTButton`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD